
import seaborn as sns
import numpy as np
import pandas as pd

def visualize_boxplot(data, x, y, hue=None):
    """
    Visualizes a boxplot using seaborn to compare the distribution of a numerical variable across different categories.

    Args:
    data (pandas.DataFrame): The DataFrame containing the data to plot.
    x (str): The name of the categorical variable to use for the x-axis.
    y (str): The name of the numerical variable to use for the y-axis.
    hue (str, optional): The name of the categorical variable to use for the hue grouping.

    Returns:
    seaborn.plots.FacetGrid: The boxplot figure.
    """
    # Create a boxplot
    sns.boxplot(x=x, y=y, hue=hue, data=data)

# Code Information
